/*
 * CS356 Project 01 -- Elevator Simulator
 *
 * Stop Class Specification
 */

#ifndef STOP_HPP
#define STOP_HPP

#include "position.hpp"
#include "direction.hpp"

class Stop
{
	friend std::ostream& operator<< (std::ostream &os, const Stop& rhs);

	public:
		Stop (const Position& position, const Direction& direction);

		bool operator== (const Stop& rhs) const;
		bool operator< (const Stop& rhs) const;
		bool operator> (const Stop& rhs) const;

		const Direction getDirection () const;

	private:
		Position	position_;
		Direction	direction_;
};

#endif /* STOP_HPP */

/* vim: set ts=4 sts=4 sw=4 noexpandtab textwidth=112: */
